From 7c95ecc70ecf309a2d3b2ff4f44df9db2ea2abb7 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 28 Nov 2011 15:19:57 -0600
Subject: Application of the setting.

---
 lib/grade/grade_category.php |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

diff --git a/lib/grade/grade_category.php b/lib/grade/grade_category.php
index abe6120..67a4a62 100644
--- a/lib/grade/grade_category.php
+++ b/lib/grade/grade_category.php
@@ -709,6 +709,9 @@ class grade_category extends grade_object {
                 // weight is the range of grade (usually grademax)
                 $weightsum = 0;
                 $sum       = null;
+                $extrasum  = 0;
+
+                $weighted_ec = get_config('moodle', 'grade_swm_extra_credit');
 
                 foreach ($grade_values as $itemid=>$grade_value) {
                     $weight = $items[$itemid]->grademax - $items[$itemid]->grademin;
@@ -719,7 +722,11 @@ class grade_category extends grade_object {
 
                     if ($items[$itemid]->aggregationcoef == 0) {
                         $weightsum += $weight;
+                    } elseif (empty($weighted_ec)) {
+                        $extrasum += ($grade_value / 10);
+                        continue;
                     }
+
                     $sum += $weight * $grade_value;
                 }
 
@@ -729,6 +736,8 @@ class grade_category extends grade_object {
                 } else {
                     $agg_grade = $sum / $weightsum;
                 }
+
+                $agg_grade += $extrasum;
                 break;
 
             case GRADE_AGGREGATE_EXTRACREDIT_MEAN: // special average
-- 
1.7.1


